Bug 204215 - ypbind quits if no ypservers
ypbind quits if no ypservers
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ypbind (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Klíč
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-26 22:33 EDT by Konstantin Olchanski
Modified: 2011-02-22 09:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-22 09:48:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch backporting proper thread locking (16.04 KB, patch)
2010-05-10 13:09 EDT, Karel Klíč
no flags Details | Diff
ypbind-1.17.2-14.i386.rpm test build (33.06 KB, application/x-rpm)
2010-06-01 05:40 EDT, Karel Klíč
no flags Details
ypbind-1.17.2-14.x86_64.rpm test build (34.82 KB, application/x-rpm)
2010-06-01 05:41 EDT, Karel Klíč
no flags Details
ypbind-1.17.2-14.ia64.rpm test build (42.67 KB, application/x-rpm)
2010-06-01 05:41 EDT, Karel Klíč
no flags Details
ypbind-1.17.2-14.ppc.rpm test build (33.83 KB, application/x-rpm)
2010-06-01 05:42 EDT, Karel Klíč
no flags Details
ypbind-1.17.2-14.s390.rpm test build (34.60 KB, application/x-rpm)
2010-06-01 05:42 EDT, Karel Klíč
no flags Details
ypbind-1.17.2-14.ppc64.rpm test build (35.54 KB, application/x-rpm)
2010-06-01 05:43 EDT, Karel Klíč
no flags Details
ypbind-1.17.2-14.s390x.rpm test build (34.89 KB, application/x-rpm)
2010-06-01 05:43 EDT, Karel Klíč
no flags Details

  None (edit)
Description Konstantin Olchanski 2006-08-26 22:33:03 EDT
Description of problem:

ypbind quits if all ypservers go away (a network failure or all ypserv's die via
a bug, e.g. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=184405).

This prevents the affected machine from reviving itself after ypservers come
back (the network is reconnected or crashed ypserv's are restarted). Always,
manual intervention is required (to restart ypbind) and often the affected
machine has to be rebooted because autofs, sshd and others seem to malfunction
in the absense of ypbind.

This problem had existed since around RHEL9.

This behaviour (ypbind quits if ypserv's cannot be contacted) is not documented
in "man ypbind", there is no option to change the time before ypbind quits, and
ypbind on other OSes do not do this- they wait forever.

Version-Release number of selected component (if applicable):

ypbind-1.17.2-3.i386 and others

How reproducible:

always

Steps to Reproduce:
1. setup a cluster with two machines- one NIS server, one NIS client
2. service ypserv stop
3. wait for some time (many hours?), observe ypbind is no longer running on the
NIS client.
  
Expected results:

If a machine is configured part of NIS, not being able to contact an NIS server
should be treated as a temporary error that will be quickly repaired (within a
few hours, within a few days at maximum- failure on Friday night will be fixed
on Monday morning)
Comment 2 Karel Klíč 2010-04-13 07:34:29 EDT
I tried to reproduce it for a few times, but failed (ypbind did not exit, even after three/four days).

This is not a feature, but a bug. The ypbind releases following ypbind-1.17.2 contained extensive fixes for some threading issues in the relevant code. That might be it, but I need to reliably reproduce the behaviour.
Comment 5 Karel Klíč 2010-05-10 13:09:29 EDT
Created attachment 412901 [details]
Proposed patch backporting proper thread locking

I cannot reproduce this problem, but if it is reproducible on some computer, please try this patch.
Comment 6 Karel Klíč 2010-06-01 05:40:26 EDT
Created attachment 418557 [details]
ypbind-1.17.2-14.i386.rpm test build
Comment 7 Karel Klíč 2010-06-01 05:41:09 EDT
Created attachment 418558 [details]
ypbind-1.17.2-14.x86_64.rpm test build
Comment 8 Karel Klíč 2010-06-01 05:41:40 EDT
Created attachment 418559 [details]
ypbind-1.17.2-14.ia64.rpm test build
Comment 9 Karel Klíč 2010-06-01 05:42:01 EDT
Created attachment 418560 [details]
ypbind-1.17.2-14.ppc.rpm test build
Comment 10 Karel Klíč 2010-06-01 05:42:27 EDT
Created attachment 418561 [details]
ypbind-1.17.2-14.s390.rpm test build
Comment 11 Karel Klíč 2010-06-01 05:43:28 EDT
Created attachment 418563 [details]
ypbind-1.17.2-14.ppc64.rpm test build
Comment 12 Karel Klíč 2010-06-01 05:43:45 EDT
Created attachment 418564 [details]
ypbind-1.17.2-14.s390x.rpm test build
Comment 14 RHEL Product and Program Management 2010-10-22 14:54:13 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 15 Ondrej Vasik 2011-02-22 09:48:09 EST
Closing this bugzilla WONTFIX, RHEL-4.9 is out and future async updates will
contain only critical and security fixes. Problem is fixed in RHEL-5 and 6.

Note You need to log in before you can comment on or make changes to this bug.